%define name    ecap
%define version 0.0.3
%define release %mkrel 2
%define major 0
%define libname %mklibname %{name}  %{major}
%define develname %mklibname %{name} -d

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:    eCAP library
License:    BSD
Group:      Networking/Other
URL:        http://www.e-cap.org/
Source:     http://www.measurement-factory.com/tmp/ecap/libecap-%{version}.tar.gz
BuildRequires:  kernel-headers

%description
eCAP is a software interface that allows a network application, such as an 
HTTP proxy or an ICAP server, to outsource content analysis and adaptation 
to a loadable module. For each applicable protocol message being 
processed, an eCAP-enabled application supplies the message details to the 
adaptation module and gets back an adapted message or a "not interested" 
response. These exchanges often include message bodies.

%package -n     %{libname}
Summary:        Main library for ecap
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
eCAP is a software interface that allows a network application, such as an 
HTTP proxy or an ICAP server, to outsource content analysis and adaptation 
to a loadable module. For each applicable protocol message being 
processed, an eCAP-enabled application supplies the message details to the 
adaptation module and gets back an adapted message or a "not interested" 
response. These exchanges often include message bodies.


%package        -n     %{develname}
Summary:        Header files for the ecap library
Group:          Development/C
Requires:       %{name} = %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description    -n %{develname}
eCAP is a software interface that allows a network application, such as an
HTTP proxy or an ICAP server, to outsource content analysis and adaptation
to a loadable module. For each applicable protocol message being
processed, an eCAP-enabled application supplies the message details to the
adaptation module and gets back an adapted message or a "not interested"
response. These exchanges often include message bodies.
These are devel files.

%prep
%setup -q -n libecap-%{version}

#export LIBS=-lpcap 
%configure2_5x --enable-shared --enable-std-include

%build
%make
%install
%makeinstall_std

%clean
%{__rm} -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc LICENSE
%{_libdir}/libecap.so.%{major}*


%files  -n %{develname}
%defattr(-,root,root)
%{_includedir}/libecap/*
%{_libdir}/libecap.so
%{_libdir}/libecap.a
%{_libdir}/libecap.la





%changelog
* Mon Jul 25 2011 dlucio <dlucio> 0.0.3-2.mga2
+ Revision: 129289
- description fixes

* Mon Mar 07 2011 ennael <ennael> 0.0.3-1.mga1
+ Revision: 66017
- ckean spec file

  + dlucio <dlucio>
    - imported package ecap


* Wed Dec 29 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.0.3-1mdv2011.0
+ Revision: 625816
- 0.0.3

* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-5mdv2011.0
+ Revision: 605094
- rebuild

* Sat Mar 20 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.0.2-4mdv2010.1
+ Revision: 525373
- Bump release

* Fri Mar 19 2010 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-3mdv2010.1
+ Revision: 525320
- bump release
- add the LICENSE

* Thu Feb 25 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.0.2-2mdv2010.1
+ Revision: 510857
- Fix lib requires

* Wed Feb 24 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.0.2-1mdv2010.1
+ Revision: 510531
- import ecap


